# Scrap rate report by reason code (/docs/api-reference/reports/ReportsController_getScrapRate)

`GET /api/factories/{factoryId}/reports/scrap-rate`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `from` | query | no | string | Start time (ISO 8601) |
| `to` | query | no | string | End time (ISO 8601) |

## Responses

### 200: Scrap rate data